Bug 31928 - DOMWindow::inspectorTimelineAgent is not guarded with ENABLE(INSPECTOR)
Summary: DOMWindow::inspectorTimelineAgent is not guarded with ENABLE(INSPECTOR)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Steve Block
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-27 05:03 PST by Steve Block
Modified: 2009-11-30 09:17 PST (History)
4 users (show)

See Also:


Attachments
Patch 1 for Bug 31928 (1.21 KB, patch)
2009-11-27 05:08 PST, Steve Block
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Block 2009-11-27 05:03:20 PST
DOMWindow::inspectorTimelineAgent is not guarded with ENABLE(INSPECTOR). This uses methods defined only when INSPECTOR is enabled.
Comment 1 Steve Block 2009-11-27 05:08:42 PST
Created attachment 43945 [details]
Patch 1 for Bug 31928
Comment 2 Eric Seidel (no email) 2009-11-28 09:40:59 PST
Comment on attachment 43945 [details]
Patch 1 for Bug 31928

LGTM.
Comment 3 WebKit Commit Bot 2009-11-30 09:17:49 PST
Comment on attachment 43945 [details]
Patch 1 for Bug 31928

Clearing flags on attachment: 43945

Committed r51495: <http://trac.webkit.org/changeset/51495>
Comment 4 WebKit Commit Bot 2009-11-30 09:17:55 PST
All reviewed patches have been landed.  Closing bug.